%{?scl:%scl_package nodejs-%{npm_name}}
%{!?scl:%global pkg_name %{name}}

%global npm_name react-ace

Name: %{?scl_prefix}nodejs-react-ace
Version: 9.5.0
Release: 1%{?dist}
Summary: A react component for Ace Editor
License: MIT
Group: Development/Libraries
URL: https://github.com/securingsincity/react-ace#readme
Source0: https://registry.npmjs.org/ace-builds/-/ace-builds-1.42.0.tgz
Source1: https://registry.npmjs.org/diff-match-patch/-/diff-match-patch-1.0.5.tgz
Source2: https://registry.npmjs.org/js-tokens/-/js-tokens-4.0.0.tgz
Source3: https://registry.npmjs.org/lodash.get/-/lodash.get-4.4.2.tgz
Source4: https://registry.npmjs.org/lodash.isequal/-/lodash.isequal-4.5.0.tgz
Source5: https://registry.npmjs.org/loose-envify/-/loose-envify-1.4.0.tgz
Source6: https://registry.npmjs.org/object-assign/-/object-assign-4.1.1.tgz
Source7: https://registry.npmjs.org/prop-types/-/prop-types-15.8.1.tgz
Source8: https://registry.npmjs.org/react-ace/-/react-ace-9.5.0.tgz
Source9: https://registry.npmjs.org/react-is/-/react-is-16.13.1.tgz
Source10: nodejs-react-ace-%{version}-registry.npmjs.org.tgz
BuildRequires: %{?scl_prefix_nodejs}npm
%if 0%{!?scl:1}
BuildRequires: nodejs-packaging
%endif
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch

Provides: %{?scl_prefix}npm(%{npm_name}) = %{version}
Provides: bundled(npm(ace-builds)) = 1.42.0
Provides: bundled(npm(diff-match-patch)) = 1.0.5
Provides: bundled(npm(js-tokens)) = 4.0.0
Provides: bundled(npm(lodash.get)) = 4.4.2
Provides: bundled(npm(lodash.isequal)) = 4.5.0
Provides: bundled(npm(loose-envify)) = 1.4.0
Provides: bundled(npm(object-assign)) = 4.1.1
Provides: bundled(npm(prop-types)) = 15.8.1
Provides: bundled(npm(react-ace)) = 9.5.0
Provides: bundled(npm(react-is)) = 16.13.1
AutoReq: no
AutoProv: no

%if 0%{?scl:1}
%define npm_cache_dir npm_cache
%else
%define npm_cache_dir /tmp/npm_cache_%{name}-%{version}-%{release}
%endif

%description
%{summary}

%prep
mkdir -p %{npm_cache_dir}
%{?scl:scl enable %{?scl_nodejs} - << \end_of_scl}
for tgz in %{sources}; do
  echo $tgz | grep -q registry.npmjs.org || npm cache add --cache %{npm_cache_dir} $tgz
done
%{?scl:end_of_scl}

%setup -T -q -a 10 -D -n %{npm_cache_dir}

%build
%{?scl:scl enable %{?scl_nodejs} - << \end_of_scl}
npm install --legacy-peer-deps --cache-min Infinity --cache %{?scl:../}%{npm_cache_dir} --no-shrinkwrap --no-optional --global-style true %{npm_name}@%{version}
%{?scl:end_of_scl}

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/node_modules %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/dist %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/logo.png %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/src %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/tsconfig.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/tslint.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/types.d.ts %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/webpack.config.base.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/webpack.config.development.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/webpack.config.example.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/webpack.config.production.js %{buildroot}%{nodejs_sitelib}/%{npm_name}

%clean
rm -rf %{buildroot} %{npm_cache_dir}

%files
%{nodejs_sitelib}/%{npm_name}
%license node_modules/%{npm_name}/LICENSE
%doc node_modules/%{npm_name}/CHANGELOG.md
%doc node_modules/%{npm_name}/CODE_OF_CONDUCT.md
%doc node_modules/%{npm_name}/CONTRIBUTING.md
%doc node_modules/%{npm_name}/PULL_REQUEST_TEMPLATE.md
%doc node_modules/%{npm_name}/README.md
%doc node_modules/%{npm_name}/docs

%changelog
* Thu Jun 19 2025 MariaAga <mariaaga@redhat.com> 9.5.0-1
- Add nodejs-react-ace generated by npm2rpm using the bundle strategy

